0
0 Items$0.00

12mH Radial Leaded Power Inductors :

4 Products Found
Find a huge range of 12mH Radial Leaded Power Inductors at element14 New Zealand. We stock a wide range of Radial Leaded Power Inductors, such as 10µH, 100µH, 1mH & 220µH Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price (Incl GST)
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
2457901

RoHS

Each
1+ $2.770($3.1855)
5+ $2.560($2.944)
10+ $2.350($2.7025)
25+ $2.150($2.4725)
50+ $1.920($2.208)
More Pricing...
RFC0810 Series
12mH
Unshielded
150mA
190mA
24.5ohm
± 10%
2457931

RoHS

Each
1+ $2.750($3.1625)
5+ $2.540($2.921)
10+ $2.320($2.668)
25+ $2.150($2.4725)
50+ $1.900($2.185)
More Pricing...
RFC1010 Series
12mH
Unshielded
180mA
250mA
17.5ohm
± 10%
2457867

RoHS

Each
1+ $1.960($2.254)
5+ $1.820($2.093)
10+ $1.660($1.909)
25+ $1.510($1.7365)
50+ $1.350($1.5525)
More Pricing...
RFC0807 Series
12mH
Unshielded
110mA
190mA
37.5ohm
± 10%
2457788

RoHS

Each (Supplied on Cut Tape)
Cut Tape
1+ $3.070($3.5305)
5+ $2.840($3.266)
10+ $2.610($3.0015)
25+ $2.390($2.7485)
50+ $2.120($2.438)
More Pricing...
RFB0810 Series
12mH
Unshielded
150mA
120mA
28ohm
± 10%
1-4 of 4 items
of 1 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
PayPal